Bug 995796 - [abrt] recoll-1.19.4-2.fc18: operator delete: Process /usr/bin/recollindex was killed by signal 6 (SIGABRT)
[abrt] recoll-1.19.4-2.fc18: operator delete: Process /usr/bin/recollindex wa...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: recoll (Show other bugs)
18
i686 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Terje Røsten
Fedora Extras Quality Assurance
abrt_hash:a303db3dc2b40c59b352cf7ad3f...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-11 03:53 EDT by michelenani
Modified: 2013-11-23 23:04 EST (History)
1 user (show)

See Also:
Fixed In Version: recoll-1.19.9-1.fc20
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-11-23 14:43:35 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (56.35 KB, text/plain)
2013-08-11 03:53 EDT, michelenani
no flags Details
File: cgroup (130 bytes, text/plain)
2013-08-11 03:53 EDT, michelenani
no flags Details
File: dso_list (1.75 KB, text/plain)
2013-08-11 03:53 EDT, michelenani
no flags Details
File: environ (1.98 KB, text/plain)
2013-08-11 03:53 EDT, michelenani
no flags Details
File: limits (1.29 KB, text/plain)
2013-08-11 03:53 EDT, michelenani
no flags Details
File: maps (6.97 KB, text/plain)
2013-08-11 03:53 EDT, michelenani
no flags Details
File: open_fds (2.63 KB, text/plain)
2013-08-11 03:53 EDT, michelenani
no flags Details
File: proc_pid_status (797 bytes, text/plain)
2013-08-11 03:53 EDT, michelenani
no flags Details
File: var_log_messages (458 bytes, text/plain)
2013-08-11 03:53 EDT, michelenani
no flags Details

  None (edit)
Description michelenani 2013-08-11 03:53:09 EDT
Description of problem:
Starting the system

Version-Release number of selected component:
recoll-1.19.4-2.fc18

Additional info:
reporter:       libreport-2.1.5
backtrace_rating: 4
cmdline:        /usr/bin/recollindex -w 60 -m
core_backtrace: 
crash_function: operator delete
executable:     /usr/bin/recollindex
kernel:         3.9.11-200.fc18.i686.PAE
runlevel:       N 5
uid:            1000
xsession_errors: :3:recollindex.cpp:371:recollindex: starting up

Truncated backtrace:
Thread no. 1 (9 frames)
 #6 operator delete at ../../../../libstdc++-v3/libsupc++/del_op.cc:48
 #7 deallocate at /usr/src/debug/gcc-4.7.2-20121109/obj-i686-redhat-linux/i686-redhat-linux/libstdc++-v3/include/ext/new_allocator.h:100
 #8 std::string::_Rep::_M_destroy at /usr/src/debug/gcc-4.7.2-20121109/obj-i686-redhat-linux/i686-redhat-linux/libstdc++-v3/include/bits/basic_string.tcc:451
 #9 std::string::_Rep::_M_dispose at /usr/src/debug/gcc-4.7.2-20121109/obj-i686-redhat-linux/i686-redhat-linux/libstdc++-v3/include/bits/basic_string.h:246
 #10 _M_grab at /usr/src/debug/gcc-4.7.2-20121109/obj-i686-redhat-linux/i686-redhat-linux/libstdc++-v3/include/bits/basic_string.h:226
 #12 std::string::assign at /usr/src/debug/gcc-4.7.2-20121109/obj-i686-redhat-linux/i686-redhat-linux/libstdc++-v3/include/bits/basic_string.tcc:251
 #13 operator= at /usr/include/c++/4.7.2/bits/basic_string.h:544
 #14 FsIndexer::processonefile at ../index/fsindexer.cpp:695
 #15 FsIndexerInternfileWorker at ../index/fsindexer.cpp:572
Comment 1 michelenani 2013-08-11 03:53:13 EDT
Created attachment 785346 [details]
File: backtrace
Comment 2 michelenani 2013-08-11 03:53:16 EDT
Created attachment 785347 [details]
File: cgroup
Comment 3 michelenani 2013-08-11 03:53:19 EDT
Created attachment 785348 [details]
File: dso_list
Comment 4 michelenani 2013-08-11 03:53:21 EDT
Created attachment 785349 [details]
File: environ
Comment 5 michelenani 2013-08-11 03:53:24 EDT
Created attachment 785350 [details]
File: limits
Comment 6 michelenani 2013-08-11 03:53:27 EDT
Created attachment 785351 [details]
File: maps
Comment 7 michelenani 2013-08-11 03:53:30 EDT
Created attachment 785352 [details]
File: open_fds
Comment 8 michelenani 2013-08-11 03:53:33 EDT
Created attachment 785353 [details]
File: proc_pid_status
Comment 9 michelenani 2013-08-11 03:53:36 EDT
Created attachment 785354 [details]
File: var_log_messages
Comment 10 Fedora Update System 2013-11-05 17:12:49 EST
recoll-1.19.8-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/recoll-1.19.8-1.fc19
Comment 11 Fedora Update System 2013-11-05 17:13:22 EST
recoll-1.19.8-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/recoll-1.19.8-1.fc20
Comment 12 Fedora Update System 2013-11-05 17:13:56 EST
recoll-1.19.8-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/recoll-1.19.8-1.fc18
Comment 13 Fedora Update System 2013-11-06 13:21:50 EST
Package recoll-1.19.8-1.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing recoll-1.19.8-1.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-20750/recoll-1.19.8-1.fc20
then log in and leave karma (feedback).
Comment 14 Fedora Update System 2013-11-23 14:43:35 EST
recoll-1.19.9-1.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 15 Fedora Update System 2013-11-23 14:44:37 EST
recoll-1.19.9-1.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 16 Fedora Update System 2013-11-23 23:04:40 EST
recoll-1.19.9-1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.